<?php

namespace App\Http\Controllers\WebHook;

use App\Models\Room;
use App\Services\Interfaces\TableNumberRepositoryInterface;
use App\Services\Interfaces\TableRepositoryInterface;
use App\Http\Controllers\Controller;
use App\Services\Response\ResponseService;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\View\View;

class TableController extends Controller
{
    private TableNumberRepositoryInterface $tableNumberRepository ;


    public function __construct(
        TableNumberRepositoryInterface $tableNumberRepository,
    )
    {
        $this->tableNumberRepository = $tableNumberRepository;
    }

    public function create(Request $request)
    {
        $this->tableNumberRepository->create($request);
        $response = [
            'status'=>Response::HTTP_OK,
            'message'=>'success',
            'data'=>[]
        ];
        return ResponseService::response($response);
    }
    public function update(Request $request,$id)
    {
        $this->tableNumberRepository->update($request,$id);
        $response = [
            'status'=>Response::HTTP_OK,
            'message'=>'success',
            'data'=>[]
        ];
        return ResponseService::response($response);
    }
    public function restore(Request $request,$id)
    {
        $this->tableNumberRepository->restore($request,$id);
        $response = [
            'status'=>Response::HTTP_OK,
            'message'=>'success',
            'data'=>[]
        ];
        return ResponseService::response($response);
    }
    public function destroy(Request $request,$id)
    {
        $this->tableNumberRepository->delete($request,$id);
        $response = [
            'status'=>Response::HTTP_OK,
            'message'=>'success',
            'data'=>[]
        ];
        return ResponseService::response($response);
    }


}
